View Issue Details

IDProjectCategoryView StatusLast Update
0016481ScribusUser Interfacepublic2021-02-19 13:57
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016481: Unify margins and spacing for dialogs, set 9
DescriptionI propose a new set of trivial margin/spacing adjustment for dialogs.

Comments:
- In ui/applytemplatedialog.ui there is wrong window title (Possible Hyphenation). I corrected it, but maybe it is better to delete this line because there is a languageChange() method.
- In ui/smreplacedia.ui there are many whitespace changes + layoutdefault removal (0016466)
Others are trivial.

Please review. Thanks.
TagsNo tags attached.
PatchNo

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-02-18 18:48

reporter  

0001-Unify-margins-and-spacing-for-dialogs-set-9.patch (21,334 bytes)
From aba3a8234b0ac221f9571ffe98249fdb95dbdf85 Mon Sep 17 00:00:00 2001
Message-Id: <aba3a8234b0ac221f9571ffe98249fdb95dbdf85.1613673928.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Thu, 18 Feb 2021 19:45:19 +0100
Subject: [PATCH] Unify margins and spacing for dialogs, set 9

---
 scribus/ui/applytemplatedialog.cpp | 24 ++++-----
 scribus/ui/dcolor.cpp              | 12 ++---
 scribus/ui/hyask.cpp               | 28 +++++-----
 scribus/ui/polyprops.cpp           | 12 ++---
 scribus/ui/search.cpp              | 24 ++++-----
 scribus/ui/selfield.cpp            | 24 ++++-----
 scribus/ui/smreplacedia.cpp        | 10 ++--
 scribus/ui/smreplacedia.ui         | 84 +++++++++++++++++-------------
 scribus/ui/tabmanager.cpp          |  8 +--
 9 files changed, 118 insertions(+), 108 deletions(-)

diff --git a/scribus/ui/applytemplatedialog.cpp b/scribus/ui/applytemplatedialog.cpp
index 4deb93a09..3bb83b5c4 100644
--- a/scribus/ui/applytemplatedialog.cpp
+++ b/scribus/ui/applytemplatedialog.cpp
@@ -49,15 +49,15 @@ enum {
 ApplyMasterPageDialog::ApplyMasterPageDialog( QWidget* parent ) : QDialog( parent )
 {
 	setModal(true);
-	setWindowTitle( tr( "Possible Hyphenation" ));
+	setWindowTitle( tr( "Apply Master Page" ));
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	ApplyMasterPageDialogLayout = new QVBoxLayout(this);
-	ApplyMasterPageDialogLayout->setMargin(10);
-	ApplyMasterPageDialogLayout->setSpacing(5);
+	ApplyMasterPageDialogLayout->setContentsMargins(9, 9, 9, 9);
+	ApplyMasterPageDialogLayout->setSpacing(6);
 
 	templateNameLayout = new QHBoxLayout;
-	templateNameLayout->setMargin(0);
-	templateNameLayout->setSpacing(5);
+	templateNameLayout->setContentsMargins(0, 0, 0, 0);
+	templateNameLayout->setSpacing(6);
 
 	masterPageLabel = new QLabel( this );
 	templateNameLayout->addWidget( masterPageLabel );
@@ -72,8 +72,8 @@ ApplyMasterPageDialog::ApplyMasterPageDialog( QWidget* parent ) : QDialog( paren
 	applyToPageButtonGroup = new QGroupBox(this);
 	applyToPageButtonGroup->setMinimumSize( QSize( 250, 0 ) );
 	applyToPageButtonGroupLayout = new QVBoxLayout(applyToPageButtonGroup);
-	applyToPageButtonGroupLayout->setSpacing( 5 );
-	applyToPageButtonGroupLayout->setMargin( 10 );
+	applyToPageButtonGroupLayout->setSpacing(6);
+	applyToPageButtonGroupLayout->setContentsMargins(9, 9, 9, 9);
 
 	currentPageRadioButton = new QRadioButton( applyToPageButtonGroup );
 	currentPageRadioButton->setChecked( true );
@@ -89,8 +89,8 @@ ApplyMasterPageDialog::ApplyMasterPageDialog( QWidget* parent ) : QDialog( paren
 	applyToPageButtonGroupLayout->addWidget( allPagesRadioButton );
 
 	rangeLayout = new QHBoxLayout;
-	rangeLayout->setSpacing( 5 );
-	rangeLayout->setMargin( 0 );
+	rangeLayout->setSpacing(6);
+	rangeLayout->setContentsMargins(0, 0, 0, 0);
 
 	useRangeCheckBox = new QCheckBox( applyToPageButtonGroup );
 	useRangeCheckBox->setEnabled( false );	
@@ -118,8 +118,8 @@ ApplyMasterPageDialog::ApplyMasterPageDialog( QWidget* parent ) : QDialog( paren
 	ApplyMasterPageDialogLayout->addWidget( applyToPageButtonGroup );
 
 	layout8 = new QHBoxLayout;
-	layout8->setSpacing( 5 );
-	layout8->setMargin( 0 );
+	layout8->setSpacing(6);
+	layout8->setContentsMargins(0, 0, 0, 0);
 	spacer1 = new QSpacerItem( 1, 1, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	layout8->addItem( spacer1 );
 
@@ -130,7 +130,7 @@ ApplyMasterPageDialog::ApplyMasterPageDialog( QWidget* parent ) : QDialog( paren
 	layout8->addWidget( cancelButton );
 	ApplyMasterPageDialogLayout->addLayout( layout8 );
 	languageChange();
-	resize( QSize(272, 230).expandedTo(minimumSizeHint()) );
+	resize( QSize(268, 230).expandedTo(minimumSizeHint()) );
 
 	// signals and slots connections
 	connect( useRangeCheckBox, SIGNAL( toggled(bool) ), this, SLOT( enableRange(bool) ) );
diff --git a/scribus/ui/dcolor.cpp b/scribus/ui/dcolor.cpp
index fcb953c5c..67c9d24ef 100644
--- a/scribus/ui/dcolor.cpp
+++ b/scribus/ui/dcolor.cpp
@@ -28,11 +28,11 @@ DelColor::DelColor( QWidget* parent, const ColorList& colorList, const QString&
 	setWindowTitle( tr( "Delete Color" ) );
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	dialogLayout = new QVBoxLayout( this );
-	dialogLayout->setMargin(10);
-	dialogLayout->setSpacing(5);
+	dialogLayout->setContentsMargins(9, 9, 9, 9);
+	dialogLayout->setSpacing(6);
 	delColorLayout = new QGridLayout;
-	delColorLayout->setSpacing( 5 );
-	delColorLayout->setMargin( 5 );
+	delColorLayout->setSpacing(6);
+	delColorLayout->setContentsMargins(0, 0, 0, 0);
 	deleteLabel = new QLabel( tr( "Delete Color:" ), this );
 	delColorLayout->addWidget( deleteLabel, 0, 0 );
 	colorToDelLabel = new QLabel( colorName, this );
@@ -57,8 +57,8 @@ DelColor::DelColor( QWidget* parent, const ColorList& colorList, const QString&
 	dialogLayout->addLayout( delColorLayout );
 
 	okCancelLayout = new QHBoxLayout;
-	okCancelLayout->setSpacing( 5 );
-	okCancelLayout->setMargin( 0 );
+	okCancelLayout->setSpacing(6);
+	okCancelLayout->setContentsMargins(0, 0, 0, 0);
 	QSpacerItem* spacer = new QSpacerItem( 2, 2, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	okCancelLayout->addItem( spacer );
 	okButton = new QPushButton( CommonStrings::tr_OK, this );
diff --git a/scribus/ui/hyask.cpp b/scribus/ui/hyask.cpp
index ea7de538e..db71f7288 100644
--- a/scribus/ui/hyask.cpp
+++ b/scribus/ui/hyask.cpp
@@ -50,8 +50,8 @@ HyAsk::HyAsk ( QWidget* parent, const QString& HWort ) : QDialog ( parent )
 	setWindowTitle( tr( "Possible Hyphenation" ));
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	HyAskLayout = new QVBoxLayout(this);
-	HyAskLayout->setMargin(10);
-	HyAskLayout->setSpacing(5);
+	HyAskLayout->setContentsMargins(9, 9, 9, 9);
+	HyAskLayout->setSpacing(6);
 
 	Wort = new WortEdit ( this );
 	Wort->setMinimumSize ( QSize ( 300, 0 ) );
@@ -60,20 +60,20 @@ HyAsk::HyAsk ( QWidget* parent, const QString& HWort ) : QDialog ( parent )
 	HyAskLayout->addWidget ( Wort );
 
 	Layout1 = new QHBoxLayout;
-	Layout1->setMargin(0);
-	Layout1->setSpacing(5);
+	Layout1->setContentsMargins(0, 0, 0, 0);
+	Layout1->setSpacing(6);
 
 	vboxLayout1 = new QVBoxLayout();
-	vboxLayout1->setSpacing(5);
-	vboxLayout1->setMargin(0);
+	vboxLayout1->setSpacing(6);
+	vboxLayout1->setContentsMargins(0, 0, 0, 0);
 	OK = new QPushButton(this);
 	OK->setText( tr("Accept"));
 	OK->setToolTip(tr("Accept the proposed hyphenation"));
 	OK->setDefault(true);
 	vboxLayout1->addWidget(OK);
 	hboxLayout1 = new QHBoxLayout();
-	hboxLayout1->setSpacing(0);
-	hboxLayout1->setMargin(0);
+	hboxLayout1->setSpacing(6);
+	hboxLayout1->setContentsMargins(0, 0, 0, 0);
 	addToExceptionList = new QCheckBox(this);
 	addToExceptionList->setToolTip(tr("Add edited hyphen to local hyphenation dictionary list"));
 	hboxLayout1->addWidget(addToExceptionList);
@@ -87,14 +87,14 @@ HyAsk::HyAsk ( QWidget* parent, const QString& HWort ) : QDialog ( parent )
 	addToExceptionList->setChecked(false);
 
 	vboxLayout2 = new QVBoxLayout();
-	vboxLayout2->setSpacing(5);
-	vboxLayout2->setMargin(0);
+	vboxLayout2->setSpacing(6);
+	vboxLayout2->setContentsMargins(0, 0, 0, 0);
 	Skip = new QPushButton(this);
 	Skip->setText( tr("Skip"));
 	vboxLayout2->addWidget(Skip);
 	hboxLayout2 = new QHBoxLayout();
-	hboxLayout2->setSpacing(0);
-	hboxLayout2->setMargin(0);
+	hboxLayout2->setSpacing(6);
+	hboxLayout2->setContentsMargins(0, 0, 0, 0);
 	addToIgnoreList = new QCheckBox(this);
 	addToIgnoreList->setToolTip(tr("Add edited word to words that should not be hyphenated"));
 	hboxLayout2->addWidget(addToIgnoreList);
@@ -106,8 +106,8 @@ HyAsk::HyAsk ( QWidget* parent, const QString& HWort ) : QDialog ( parent )
 	addToIgnoreList->setChecked(false);
 
 	vboxLayout3 = new QVBoxLayout();
-	vboxLayout3->setSpacing(5);
-	vboxLayout3->setMargin(0);
+	vboxLayout3->setSpacing(6);
+	vboxLayout3->setContentsMargins(0, 0, 0, 0);
 	Cancel = new QPushButton(this);
 	Cancel->setText( tr("Cancel"));
 	Cancel->setToolTip(tr("Do not apply the proposed hyphenation"));
diff --git a/scribus/ui/polyprops.cpp b/scribus/ui/polyprops.cpp
index e16968584..cbf00e7dd 100644
--- a/scribus/ui/polyprops.cpp
+++ b/scribus/ui/polyprops.cpp
@@ -19,8 +19,8 @@ PolyVectorDialog::PolyVectorDialog(QWidget* parent, int polyC, double polyF, boo
 	setWindowTitle( tr( "Polygon Properties" ) );
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	PolygonPropsLayout = new QVBoxLayout( this );
-	PolygonPropsLayout->setMargin(10);
-	PolygonPropsLayout->setSpacing(5);
+	PolygonPropsLayout->setContentsMargins(9, 9, 9, 9);
+	PolygonPropsLayout->setSpacing(6);
 	polyWidget = new PolygonWidget(this, polyC, polyF, polyS, polyR, polyCurvature, polyInnerRot, polyOuterCurvature, true);
 	PolygonPropsLayout->addWidget( polyWidget );
 	// signals and slots connections
@@ -39,13 +39,13 @@ PolygonProps::PolygonProps(QWidget* parent, int polyC, double polyF, bool polyS,
 	setWindowTitle( tr( "Polygon Properties" ) );
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	PolygonPropsLayout = new QVBoxLayout( this );
-	PolygonPropsLayout->setMargin(10);
-	PolygonPropsLayout->setSpacing(5);
+	PolygonPropsLayout->setContentsMargins(9, 9, 9, 9);
+	PolygonPropsLayout->setSpacing(6);
 	polyWidget = new PolygonWidget(this, polyC, polyF, polyS, polyR, polyCurvature, polyInnerRot, polyOuterCurvature);
 	PolygonPropsLayout->addWidget( polyWidget );
 	Layout1 = new QHBoxLayout;
-	Layout1->setMargin(0);
-	Layout1->setSpacing(5);
+	Layout1->setContentsMargins(0, 0, 0, 0);
+	Layout1->setSpacing(6);
 	QSpacerItem* spacer_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	Layout1->addItem( spacer_2 );
 	okButton = new QPushButton(this);
diff --git a/scribus/ui/search.cpp b/scribus/ui/search.cpp
index 2ea265d3d..28d33dab0 100644
--- a/scribus/ui/search.cpp
+++ b/scribus/ui/search.cpp
@@ -55,16 +55,16 @@ SearchReplace::SearchReplace( QWidget* parent, ScribusDoc *doc, PageItem* ite, b
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 
 	SearchReplaceLayout = new QVBoxLayout( this );
-	SearchReplaceLayout->setMargin(10);
-	SearchReplaceLayout->setSpacing(5);
+	SearchReplaceLayout->setContentsMargins(9, 9, 9, 9);
+	SearchReplaceLayout->setSpacing(6);
 	SelLayout = new QHBoxLayout;
-	SelLayout->setMargin(0);
-	SelLayout->setSpacing(5);
+	SelLayout->setContentsMargins(0, 0, 0, 0);
+	SelLayout->setSpacing(6);
 	Search = new QGroupBox( this );
 	Search->setTitle( tr( "Search for:" ) );
 	SearchLayout = new QGridLayout( Search );
-	SearchLayout->setMargin(5);
-	SearchLayout->setSpacing(2);
+	SearchLayout->setContentsMargins(9, 9, 9, 9);
+	SearchLayout->setSpacing(6);
 	SearchLayout->setAlignment( Qt::AlignTop );
 	SText = new QCheckBox( Search );
 	SText->setText( tr( "Text" ) );
@@ -162,8 +162,8 @@ SearchReplace::SearchReplace( QWidget* parent, ScribusDoc *doc, PageItem* ite, b
 	Replace = new QGroupBox( this );
 	Replace->setTitle( tr( "Replace with:" ) );
 	ReplaceLayout = new QGridLayout( Replace );
-	ReplaceLayout->setSpacing( 2 );
-	ReplaceLayout->setMargin( 5 );
+	ReplaceLayout->setSpacing(6);
+	ReplaceLayout->setContentsMargins(9, 9, 9, 9);
 	ReplaceLayout->setAlignment( Qt::AlignTop );
 	RText = new QCheckBox( Replace );
 	RText->setText( tr( "Text" ) );
@@ -258,8 +258,8 @@ SearchReplace::SearchReplace( QWidget* parent, ScribusDoc *doc, PageItem* ite, b
 	SearchReplaceLayout->addLayout( SelLayout );
 
 	OptsLayout = new QHBoxLayout;
-	OptsLayout->setSpacing( 5 );
-	OptsLayout->setMargin( 0 );
+	OptsLayout->setSpacing(6);
+	OptsLayout->setContentsMargins(0, 0, 0, 0);
 	Word = new QCheckBox( tr( "&Whole Word" ), this );
 	if (mode)
 		Word->setEnabled(false);
@@ -271,8 +271,8 @@ SearchReplace::SearchReplace( QWidget* parent, ScribusDoc *doc, PageItem* ite, b
 	SearchReplaceLayout->addLayout( OptsLayout );
 
 	ButtonsLayout = new QHBoxLayout;
-	ButtonsLayout->setSpacing( 5 );
-	ButtonsLayout->setMargin( 0 );
+	ButtonsLayout->setSpacing(6);
+	ButtonsLayout->setContentsMargins(0, 0, 0, 0);
 	DoSearch = new QPushButton( tr( "&Search" ), this );
 	DoSearch->setDefault( true );
 	ButtonsLayout->addWidget( DoSearch );
diff --git a/scribus/ui/selfield.cpp b/scribus/ui/selfield.cpp
index ed7096e2b..6ce3f4a22 100644
--- a/scribus/ui/selfield.cpp
+++ b/scribus/ui/selfield.cpp
@@ -29,14 +29,14 @@ SelectFields::SelectFields(QWidget* parent, const QString& Felder, const QString
 	setWindowIcon(IconManager::instance().loadIcon("AppIcon.png"));
 	FTyp = Art;
 	SelectFieldsLayout = new QVBoxLayout( this );
-	SelectFieldsLayout->setMargin(10);
-	SelectFieldsLayout->setSpacing(5);
+	SelectFieldsLayout->setContentsMargins(9, 9, 9, 9);
+	SelectFieldsLayout->setSpacing(6);
 	Layout5 = new QHBoxLayout;
-	Layout5->setMargin(0);
-	Layout5->setSpacing(5);
+	Layout5->setContentsMargins(0, 0, 0, 0);
+	Layout5->setSpacing(6);
 	Layout1 = new QVBoxLayout;
-	Layout1->setMargin(0);
-	Layout1->setSpacing(5);
+	Layout1->setContentsMargins(0, 0, 0, 0);
+	Layout1->setSpacing(6);
 
 	Text1 = new QLabel( tr( "Available Fields" ), this );
 	Layout1->addWidget( Text1 );
@@ -76,8 +76,8 @@ SelectFields::SelectFields(QWidget* parent, const QString& Felder, const QString
 	if (Art > 1)
 	{
 		Layout2 = new QVBoxLayout;
-		Layout2->setMargin(0);
-		Layout2->setSpacing(5);
+		Layout2->setContentsMargins(0, 0, 0, 0);
+		Layout2->setSpacing(6);
 		QSpacerItem* spacer = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
 		Layout2->addItem( spacer );
 		ToSel = new QPushButton( tr( "&>>" ), this );
@@ -88,8 +88,8 @@ SelectFields::SelectFields(QWidget* parent, const QString& Felder, const QString
 		Layout2->addItem( spacer_2 );
 		Layout5->addLayout( Layout2 );
 		Layout3 = new QVBoxLayout;
-		Layout3->setMargin(0);
-		Layout3->setSpacing(5);
+		Layout3->setContentsMargins(0, 0, 0, 0);
+		Layout3->setSpacing(6);
 		Text2 = new QLabel( tr( "Selected Fields" ), this );
 		Layout3->addWidget( Text2 );
 		SelFields = new QListWidget( this );
@@ -112,8 +112,8 @@ SelectFields::SelectFields(QWidget* parent, const QString& Felder, const QString
 	SelectFieldsLayout->addLayout( Layout5 );
 	S_Fields = "";
 	Layout4 = new QHBoxLayout;
-	Layout4->setMargin(0);
-	Layout4->setSpacing(5);
+	Layout4->setContentsMargins(0, 0, 0, 0);
+	Layout4->setSpacing(6);
 	QSpacerItem* spacer_3 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	Layout4->addItem( spacer_3 );
 	OK = new QPushButton( CommonStrings::tr_OK, this );
diff --git a/scribus/ui/smreplacedia.cpp b/scribus/ui/smreplacedia.cpp
index 0eaffe42f..36367011b 100644
--- a/scribus/ui/smreplacedia.cpp
+++ b/scribus/ui/smreplacedia.cpp
@@ -15,8 +15,8 @@ SMRowWidget::SMRowWidget(const QString &toBeDeleted, const QStringList& replaceO
 : QWidget(parent)
 {
 	layout = new QHBoxLayout(this);
-	layout->setMargin(0);
-	layout->setSpacing(5);
+	layout->setContentsMargins(0, 0, 0, 0);
+	layout->setSpacing(6);
 	deleteLabel = new QLabel(toBeDeleted, this);
 	layout->addWidget(deleteLabel);
 	optionsCombo = new QComboBox(this);
@@ -58,10 +58,10 @@ SMReplaceDia::SMReplaceDia(const QStringList &toBeDeleted, const QStringList &re
 	}
 
 	layout = new QVBoxLayout(mainFrame);
-	layout->setMargin(0);
-	layout->setSpacing(5);
+	layout->setContentsMargins(0, 0, 0, 0);
+	layout->setSpacing(6);
 	headerLayout = new QHBoxLayout();
-	headerLayout->setMargin(5);
+	headerLayout->setContentsMargins(0, 0, 0, 0);
 	deleteHeader = new QLabel("<b>" + tr("Remove") + "</b>", mainFrame);
 	optionsHeader = new QLabel("<b>" + tr("Replace with") + "</b>", mainFrame);
 	headerLayout->addWidget(deleteHeader);
diff --git a/scribus/ui/smreplacedia.ui b/scribus/ui/smreplacedia.ui
index 40230fb84..b57051a13 100644
--- a/scribus/ui/smreplacedia.ui
+++ b/scribus/ui/smreplacedia.ui
@@ -1,7 +1,8 @@
-<ui version="4.0" >
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
  <class>SMReplaceDia</class>
- <widget class="QDialog" name="SMReplaceDia" >
-  <property name="geometry" >
+ <widget class="QDialog" name="SMReplaceDia">
+  <property name="geometry">
    <rect>
     <x>0</x>
     <y>0</y>
@@ -9,49 +10,61 @@
     <height>271</height>
    </rect>
   </property>
-  <property name="windowTitle" >
+  <property name="windowTitle">
    <string>Delete Styles</string>
   </property>
-  <property name="sizeGripEnabled" >
+  <property name="sizeGripEnabled">
    <bool>false</bool>
   </property>
-  <layout class="QVBoxLayout" >
-   <property name="margin" >
-    <number>5</number>
+  <layout class="QVBoxLayout">
+   <property name="leftMargin">
+    <number>9</number>
    </property>
-   <property name="spacing" >
-    <number>5</number>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
    </property>
    <item>
-    <widget class="QFrame" name="mainFrame" >
-     <property name="frameShape" >
+    <widget class="QFrame" name="mainFrame">
+     <property name="frameShape">
       <enum>QFrame::NoFrame</enum>
      </property>
-     <property name="frameShadow" >
+     <property name="frameShadow">
       <enum>QFrame::Plain</enum>
      </property>
-     <property name="lineWidth" >
+     <property name="lineWidth">
       <number>0</number>
      </property>
     </widget>
    </item>
    <item>
-    <layout class="QHBoxLayout" >
-     <property name="margin" >
+    <layout class="QHBoxLayout">
+     <property name="leftMargin">
+      <number>0</number>
+     </property>
+     <property name="topMargin">
       <number>0</number>
      </property>
-     <property name="spacing" >
-      <number>6</number>
+     <property name="rightMargin">
+      <number>0</number>
+     </property>
+     <property name="bottomMargin">
+      <number>0</number>
      </property>
      <item>
       <spacer>
-       <property name="orientation" >
+       <property name="orientation">
         <enum>Qt::Horizontal</enum>
        </property>
-       <property name="sizeType" >
+       <property name="sizeType">
         <enum>QSizePolicy::Expanding</enum>
        </property>
-       <property name="sizeHint" >
+       <property name="sizeHint">
         <size>
          <width>20</width>
          <height>20</height>
@@ -60,30 +73,30 @@
       </spacer>
      </item>
      <item>
-      <widget class="QPushButton" name="buttonOk" >
-       <property name="text" >
+      <widget class="QPushButton" name="buttonOk">
+       <property name="text">
         <string>&amp;OK</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string/>
        </property>
-       <property name="autoDefault" >
+       <property name="autoDefault">
         <bool>true</bool>
        </property>
-       <property name="default" >
+       <property name="default">
         <bool>true</bool>
        </property>
       </widget>
      </item>
      <item>
-      <widget class="QPushButton" name="buttonCancel" >
-       <property name="text" >
+      <widget class="QPushButton" name="buttonCancel">
+       <property name="text">
         <string>Ca&amp;ncel</string>
        </property>
-       <property name="shortcut" >
+       <property name="shortcut">
         <string>Alt+N</string>
        </property>
-       <property name="autoDefault" >
+       <property name="autoDefault">
         <bool>true</bool>
        </property>
       </widget>
@@ -92,9 +105,6 @@
    </item>
   </layout>
  </widget>
- <layoutdefault spacing="6" margin="11" />
- <customwidgets>
- </customwidgets>
  <resources/>
  <connections>
   <connection>
@@ -103,11 +113,11 @@
    <receiver>SMReplaceDia</receiver>
    <slot>accept()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>20</x>
      <y>20</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>20</x>
      <y>20</y>
     </hint>
@@ -119,11 +129,11 @@
    <receiver>SMReplaceDia</receiver>
    <slot>reject()</slot>
    <hints>
-    <hint type="sourcelabel" >
+    <hint type="sourcelabel">
      <x>20</x>
      <y>20</y>
     </hint>
-    <hint type="destinationlabel" >
+    <hint type="destinationlabel">
      <x>20</x>
      <y>20</y>
     </hint>
diff --git a/scribus/ui/tabmanager.cpp b/scribus/ui/tabmanager.cpp
index 46842c46f..b7bab3ae9 100644
--- a/scribus/ui/tabmanager.cpp
+++ b/scribus/ui/tabmanager.cpp
@@ -25,13 +25,13 @@ TabManager::TabManager( QWidget* parent, int dEin, QList<ParagraphStyle::TabReco
 	m_docUnitRatio = unitGetRatioFromIndex(dEin);
 	m_tabList = inTab;
 	TabManagerLayout = new QVBoxLayout( this );
-	TabManagerLayout->setMargin(5);
-	TabManagerLayout->setSpacing(5);
+	TabManagerLayout->setContentsMargins(9, 9, 9, 9);
+	TabManagerLayout->setSpacing(6);
 	TabList = new Tabruler(this, false, dEin, inTab, -1);
 	TabManagerLayout->addWidget( TabList );
 	layout10 = new QHBoxLayout;
-	layout10->setSpacing( 5 );
-	layout10->setMargin( 0 );
+	layout10->setSpacing(6);
+	layout10->setContentsMargins(0, 0, 0, 0);
 	QSpacerItem* spacer = new QSpacerItem( 2, 2, QSizePolicy::Expanding, QSizePolicy::Minimum );
 	layout10->addItem( spacer );
 	OKButton = new QPushButton( CommonStrings::tr_OK, this);
-- 
2.27.0

hyask.gif (14,724 bytes)
hyask.gif (14,724 bytes)
selfield.gif (17,369 bytes)
selfield.gif (17,369 bytes)
tabmanager.gif (17,847 bytes)
tabmanager.gif (17,847 bytes)
dcolor.gif (10,211 bytes)
dcolor.gif (10,211 bytes)
polyprops.gif (31,986 bytes)
polyprops.gif (31,986 bytes)
smreplacedia.gif (14,504 bytes)
smreplacedia.gif (14,504 bytes)
applytemplatedialog.gif (21,556 bytes)
applytemplatedialog.gif (21,556 bytes)
search.gif (72,471 bytes)
search.gif (72,471 bytes)

jghali

2021-02-18 19:45

administrator   ~0048860

Applied, thanks!

Issue History

Date Modified Username Field Change
2021-02-18 18:48 bubu New Issue
2021-02-18 18:48 bubu File Added: 0001-Unify-margins-and-spacing-for-dialogs-set-9.patch
2021-02-18 18:48 bubu File Added: hyask.gif
2021-02-18 18:48 bubu File Added: selfield.gif
2021-02-18 18:48 bubu File Added: tabmanager.gif
2021-02-18 18:48 bubu File Added: dcolor.gif
2021-02-18 18:48 bubu File Added: polyprops.gif
2021-02-18 18:48 bubu File Added: smreplacedia.gif
2021-02-18 18:48 bubu File Added: applytemplatedialog.gif
2021-02-18 18:48 bubu File Added: search.gif
2021-02-18 19:45 jghali Assigned To => jghali
2021-02-18 19:45 jghali Status new => resolved
2021-02-18 19:45 jghali Resolution open => fixed
2021-02-18 19:45 jghali Fixed in Version => 1.5.7.svn
2021-02-18 19:45 jghali Note Added: 0048860
2021-02-19 13:57 PeterBenedek Relationship added child of 0013906